info.bioinfweb.jphyloio.formats.phyloxml

## Enum PhyloXMLMetadataTreatment

- java.lang.Object
- - java.lang.Enum<PhyloXMLMetadataTreatment>
  - - info.bioinfweb.jphyloio.formats.phyloxml.PhyloXMLMetadataTreatment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PhyloXMLMetadataTreatment>

      public enum PhyloXMLMetadataTreatment
      extends java.lang.Enum<PhyloXMLMetadataTreatment>

  Instances of this enum can be used as parameter values for `ReadWriteParameterNames.KEY_PHYLOXML_METADATA_TREATMENT`. It enumerates ways how metadata from hierarchical RDF-like structures is be written to a PhyloXML document. This is necessary, since it is not possible to represent nested annotations in PhyloXML.
  Since:
    0.0.0
  Author:
    Sarah Wiechers
  See Also:
    `ReadWriteParameterNames.KEY_PHYLOXML_METADATA_TREATMENT`, `PhyloXMLEventWriter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEAVES_ONLY` Only the contents of metadata events without any nested events are written.
    `NONE` No content of metadata events is written.
    `SEQUENTIAL` The contents of all hierarchically structured metadata events are written to the file in a sequential order.
    `TOP_LEVEL_WITH_CHILDREN` Only the contents of metadata events on the top level of a hierarchical structure are written, if they have further events nested under them.
    `TOP_LEVEL_WITHOUT_CHILDREN` Only the contents of metadata events on the top level of a hierarchical structure are written, if they do not have further events nested under them.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PhyloXMLMetadataTreatment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PhyloXMLMetadataTreatment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEQUENTIAL

          public static final PhyloXMLMetadataTreatment SEQUENTIAL

      The contents of all hierarchically structured metadata events are written to the file in a sequential order. Topological information gets lost in this strategy.

    - #### TOP_LEVEL_WITH_CHILDREN

          public static final PhyloXMLMetadataTreatment TOP_LEVEL_WITH_CHILDREN

      Only the contents of metadata events on the top level of a hierarchical structure are written, if they have further events nested under them. The contents of the nested events are not written to the file.

    - #### TOP_LEVEL_WITHOUT_CHILDREN

          public static final PhyloXMLMetadataTreatment TOP_LEVEL_WITHOUT_CHILDREN

      Only the contents of metadata events on the top level of a hierarchical structure are written, if they do not have further events nested under them.

    - #### LEAVES_ONLY

          public static final PhyloXMLMetadataTreatment LEAVES_ONLY

      Only the contents of metadata events without any nested events are written.

    - #### NONE

          public static final PhyloXMLMetadataTreatment NONE

      No content of metadata events is written.

  - ### Method Detail

    - #### values

          public static PhyloXMLMetadataTreatment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PhyloXMLMetadataTreatment c : PhyloXMLMetadataTreatment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PhyloXMLMetadataTreatment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null